'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');
var icons = require('@ant-design/icons');

/******************************************************************************
Copyright (c) Microsoft Corporation.

Permission to use, copy, modify, and/or distribute this software for any
purpose with or without fee is hereby granted.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH
REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT,
INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM
LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
PERFORMANCE OF THIS SOFTWARE.
***************************************************************************** */

var __assign = function() {
    __assign = Object.assign || function __assign(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};

typeof SuppressedError === "function" ? SuppressedError : function (error, suppressed, message) {
    var e = new Error(message);
    return e.name = "SuppressedError", e.error = error, e.suppressed = suppressed, e;
};

var Button = function (_a) {
    var _b = _a.onClick, onClick = _b === void 0 ? function () { } : _b, children = _a.children, _c = _a.backgroundColor, backgroundColor = _c === void 0 ? "#5db2ff" : _c, _d = _a.color, color = _d === void 0 ? "white" : _d, _e = _a.width, width = _e === void 0 ? "fit-content" : _e, _f = _a.type, type = _f === void 0 ? "primary" : _f, _g = _a.loading, loading = _g === void 0 ? false : _g, name = _a.name, _h = _a.margin, margin = _h === void 0 ? "0 0 0 10px" : _h, _j = _a.hasVerticalSpace, hasVerticalSpace = _j === void 0 ? true : _j, _k = _a.disabled, disabled = _k === void 0 ? false : _k;
    return (jsxRuntime.jsxs(jsxRuntime.Fragment, { children: [jsxRuntime.jsx("h1", __assign({ className: "text-3xl font-bold underline" }, { children: "Hello world!" })), jsxRuntime.jsx("button", __assign({ className: type === "primary" ? "btn" : "btn btn-secondary", style: {
                    backgroundColor: disabled ? "#c7c7c7" : backgroundColor,
                    border: disabled
                        ? "1px solid ".concat("#c7c7c7")
                        : backgroundColor
                            ? "1px solid ".concat(backgroundColor)
                            : "",
                    color: color,
                    width: width,
                    margin: type === "primary" ? margin : "0 5px 0 5px",
                    cursor: disabled ? "not-allowed" : "pointer",
                }, onClick: loading || disabled ? function (event) { return event.preventDefault(); } : onClick, id: name }, { children: loading ? (jsxRuntime.jsx(icons.LoadingOutlined, { style: {
                        fontSize: 24,
                        color: "white",
                    }, spin: true })) : (children) })), type === "primary" && hasVerticalSpace && (jsxRuntime.jsx("div", { style: { height: "0.5rem" } }))] }));
};

exports.Button = Button;
//# sourceMappingURL=index.js.map
